Java plugin fails to load

RESOLVED INVALID

Status

()

Firefox
General
RESOLVED INVALID
15 years ago
12 years ago

People

(Reporter: Remko Troncon, Assigned: Blake Ross)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1

Might be related to bug #214349
I have a softlink to the libjavaplugin.so of Sun's JDK (1.4.1_1, but the bug
occurse with other versions too)
When i start Firebird 0.6.1, i get:

LoadPlugin: failed to initialize shared library
/export/home1/remko/misc/cache/local/MozillaFirebird/plugins/libjavaplugin_oji.so
[/export/home1/remko/misc/cache/local/MozillaFirebird/plugins/libjavaplugin_oji.so:
undefined symbol: GetGlobalServiceManager__16nsServiceManagerPP17nsIServiceManager]

I didn't have this problem with Firebird 0.6

Reproducible: Always

Steps to Reproduce:
Start MozillaFirebird

Actual Results:  
Error message on prompt, Firebird starts, but Java applets do not work.

Comment 1

15 years ago
Firebird 0.6.1 is compiled with GCC 3.3, while Java 1.4.1 is still compiled with
GCC 2.95
You have to download Java 1.4.2
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.